large numbers of tasks crash phab for anonymous users
Closed, ResolvedPublic

Description

Request aborted by debug time limit after 5 seconds.

STACK TRACE
LiskDAO.php:588 PhabricatorStartup->onDebugTick()
LiskDAO.php:628 LiskDAO->loadFromArray()
ManiphestTaskQuery.php:291 LiskDAO->loadAllFromArray()
PhabricatorPolicyAwareQuery.php:227 ManiphestTaskQuery->loadPage()
PhabricatorManiphestApplication.php:82 PhabricatorPolicyAwareQuery->execute()
PhabricatorHomeController.php:61 PhabricatorManiphestApplication->loadStatus()
PhabricatorHomeMainController.php:46 PhabricatorHomeController->buildNav()
AphrontController.php:33 PhabricatorHomeMainController->processRequest()
index.php:103 AphrontController->handleRequest()

Tries to count open tasks for the user, but dies when anon and there are lots of tasks.

I talked to mr. priestley

epriestley: This is just broken, give me like 5 minutes and I'll fix it.

So we owe that guy more beverages than even before.

chasemp created this task.Nov 19 2014, 9:00 PM
chasemp updated the task description. (Show Details)
chasemp raised the priority of this task from to Needs Triage.
chasemp changed Security from none to None.
chasemp added a subscriber: chasemp.
chasemp added a subscriber: mmodell.
Qgil triaged this task as High priority.Nov 19 2014, 9:02 PM
Qgil added a project: Bugzilla-Migration.
chasemp assigned this task to mmodell.Nov 19 2014, 9:07 PM
chasemp raised the priority of this task from High to Unbreak Now!.Nov 19 2014, 9:22 PM

15:02 chasemp maybe we should jsut cherry pick that commit?
to avoid any other unknown issues form last merge to this one
thoughts?
15:04 twentyafterfour I was thinking the same thing...
15:04 chasemp heh
15:04 chasemp I'm ok w/ it I tihnk
15:04 chasemp we don't have time to do a full vett
15:04 chasemp and I don't know what's happened since last merge at all
15:04 chasemp kinda meh but hmmm
15:04 twentyafterfour you are listed as a reviewer on that differential, if you accept the diff that'll speed up epriestley getting it merged ;)
15:05 twentyafterfour if we cherry pick that one commit it slightly complicates the next upgrade but not too bad
15:06 twentyafterfour we already have our own patch to rebase on top of upstream so it's already more work and the cherry pick doesn't make it much worse
15:07 phawkes Bugzilla-Migration: large numbers of tasks crash phab for anonymous users - https://phabricator.wikimedia.org/T1343#23597 (chasemp)
15:08 chasemp assigned to you dude
15:08 chasemp for that stuff, I think w/ a comment to reasoning and etc
15:08 chasemp cherry pick may be the way
15:08 twentyafterfour yeah cherry pick works for me

upstream fix landed: https://secure.phabricator.com/rPcd406948fec754026e17f845a59d4a0566127113

I shall cherry-pick this into our phab repo

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 19 2014, 11:14 PM
mmodell closed this task as Resolved.Nov 20 2014, 4:09 PM

cherry picked and tagged with T1343

rPHUTIL3792c5744914
rPHARC52947cfd92b331916adffa1ff3233546446c881b

.. apparently the main phab repo isn't in diffusion but that one's tagged and pushed as well.

(NOTE: we took the local phab out of diffusion because of the upstream mentions bug which is tracked but I can't find the ticket atm. i.e. upstream says refs T123 and it pings OUR T123)

(NOTE: we took the local phab out of diffusion because of the upstream mentions bug which is tracked but I can't find the ticket atm.)

For the records: https://secure.phabricator.com/T6516

Change 175297 had a related patch set uploaded (by Rush):
phab handle cherry-pick for T1343

https://gerrit.wikimedia.org/r/175297

Patch-For-Review

Change 175297 merged by Rush:
phab handle cherry-pick for T1343

https://gerrit.wikimedia.org/r/175297

chasemp mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM